using UnityEngine;
using mgaia.Utils;

public static class ViewLoader
{
    public static GameObject LoadView(Views viewName)
    {
        GameObject viewPrefab = Resources.Load<GameObject>("Views/" + viewName);
        Assert.AssertTrue(viewPrefab != null, "Não foi possivel carregar a view de nome " + viewName);
        return (GameObject)GameObject.Instantiate(viewPrefab);
    }
}